HTTP access log service 3 matching interfaces
List a page of access logs listHTTPAccessLogs
POST /HTTPAccessLogService/listHTTPAccessLogs
Definition file service_http_access_log.proto
Available roles Administrator User Original definition Request message Response message Original definition Copy coderpc listHTTPAccessLogs ( ListHTTPAccessLogsRequest ) returns ( ListHTTPAccessLogsResponse );
Request message ListHTTPAccessLogsRequestList a page of earlier access logs
Request message · Field definitions Copy codemessage ListHTTPAccessLogsRequest {
string requestId = 1 ; // Optional: request ID from the previous page
int64 serverId = 2 ; // Service ID
int64 size = 3 ; // Items per page
string day = 4 ; // Date in YYYYMMDD format
string hourFrom = 17 ; // Start hour
string hourTo = 18 ; // End hour
bool reverse = 5 ; // Optional: whether to search in reverse order
bool hasError = 6 ; // Optional: whether an error occurred
int64 firewallPolicyId = 7 ; // Optional: WAF policy ID
int64 firewallRuleGroupId = 8 ; // Optional: WAF group ID
int64 firewallRuleSetId = 9 ; // Optional: WAF rule set ID
int64 userId = 10 ; // User ID
bool hasFirewallPolicy = 11 ; // Whether a WAF policy exists
string keyword = 12 ; // Keywords
string ip = 13 ;
string domain = 14 ;
int64 nodeClusterId = 15 ;
int64 nodeId = 16 ;
int32 partition = 19 ; // Partition
}
Response message ListHTTPAccessLogsResponse Response message · Field definitions Copy codemessage ListHTTPAccessLogsResponse {
repeated HTTPAccessLog accessLogs = 1 [ deprecated = true ];
repeated HTTPAccessLog httpAccessLogs = 4 ;
string requestId = 2 ;
bool hasMore = 3 ;
}